.contact__container{
    background-color: var(--color-bg1);
    display: grid;
    grid-template-columns: 40% 60%;
    padding: 4rem;
    gap: 4rem;
    height: 30rem;
    margin: 15rem auto 10rem;
    border-radius: 1rem;
}

/* ----------------------Aside------------------------------------------ */
.contact__aside{
    background-color: var(--color-primary);
    padding: 3rem;
    border-radius: 1rem;
    position: relative;
    bottom: 10rem;
}
.aside__img{
    width: 12rem;
    margin-bottom: 2rem;
}
.contact__aside h2{
    text-align: left;
    margin-bottom: 1rem;
}
.contact__aside p{
    font-size: 0.9rem;
    margin-bottom: 2rem;
}

.contact__details li{
    display: flex;
    gap: 1rem;
    text-align: center;
}
.contact__socials{
    display: flex;
    gap: 0.8rem;
    margin-top: 3rem;
}

.contact__socials a{
    background-color: var(--color-bg2);
    padding: 0.7rem;
    border-radius: 50%;
    font-size: 0.9rem;
}

.contact__socials a:hover{
    background-color: transparent;
}

/* ---------------------------------Form------------------------------- */

.contact__form{
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
    margin-right: 4rem;
}
.form__name{
    display: flex;
    gap: 1.2rem;
}
.contact__form input[type="text"]{
    width: 50%;
}

input, textarea{
    width: 100%;
    padding: 1rem;
    background-color: var(--color-bg);
    color: var(---color--white);
}

.contact__form .btn{
    width: max-content;
    cursor: pointer;
    margin-top: 1rem;
}

/* -----------------------------Media Queries---------------------------------- */


/* -----------------------------Tablets---------------------------------- */

@media only screen and (max-width : 1024px)
{
   /* .contact{
    padding-bottom: 0;
   } */

   .contact__container{
    gap: 1.5rem;
    margin-top: 10rem;
    height: auto;
    padding: 1.5rem;
   }

   .contact__aside{
    width: auto;
    padding: 1.5rem;
    bottom: 0;
   }
   .contact__form{
    align-self: center;
    margin-right: 1.5rem;
   }

}

/* -----------------------------Tablets---------------------------------- */
@media only screen and (max-width : 600px)
{
    .contact__container{
        grid-template-columns: 1fr;
        gap: 3rem;
        margin-top: 6rem;
        padding: 0;
        margin-bottom: 5rem;
    }
    .contact__form{
        margin: 0 1.5rem 3rem;
    }
    .form__name{
        flex-direction: column;
    }
    .contact__form input[type="text"] {
        width: 100%;
    }
}